Debian Bug report logs - #314882
RM: xfs-xtt -- RoQA; superseded by X.Org, RC-buggy

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: ISHIKAWA Mutsumi <ishikawa@debian.org>

Date: Sun, 19 Jun 2005 05:48:03 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#314882; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to ISHIKAWA Mutsumi <ishikawa@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ISHIKAWA Mutsumi <ishikawa@debian.org>
To: submit@bugs.debian.org
Subject: O: xfs-xtt -- X-TrueType font server
Date: Sun, 19 Jun 2005 14:46:12 +0900
Package: wnpp
Serverity: normal

 I intend to orphan the xfs-xtt package.

Description: X-TrueType font server
 This package provide X-TrueType font server. This is compatible  normal X
 font server, but added X-TrueType font handling scheme support instead of
 FreeType backend. XFree86 4.0's font server can handle TrueType too, but it
 can not handle TTCap. By using TTCap description, support for font
 transformations, such as slanting, adjusting glyph width, pseudo-bolding, etc.
 .
 xfs-xtt is a daemon that listens on a network port and serves X fonts to X
 servers (and thus to X clients).  All X servers have the ability to serve
 locally installed fonts for themselves, but xfs makes it possible to offload
 that job from the X server, and/or have a central repository of fonts on a
 networked machine running xfs so that all the machines running X servers on
 a network do not require their own set of fonts.  xfs may also be invoked
 by users to, for instance, make available X fonts in user accounts that
 are not available to the X server or to an already running system xfs-xtt.


Note:
   After the xorg package is uploaded, I'll remove this package from sid
  when no one take over this package. Because...

 * Current xfree86's xfs package can handle TrueType fonts (but can not
   handle TTCap).

 * xorg's libXfont unified X-TrueType engine to FreeType engine.

   xorg's xfs also can handle TrueType fonts and can handle TTCap
   description. So, it is possible to replace the xfs-xtt.

 * xfs-xtt use X-TrueType engine. Maintenance of the X-TrueType
   engine has already stopped considerably before. Old X-TrueType
   engine code was dropped from source tree (on both xfree86 and xorg)

-- 
ISHIKAWA Mutsumi
 <ishikawa@debian.org>, <ishikawa@netvillage.co.jp>



Information stored:
Bug#314882; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 314882-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: ISHIKAWA Mutsumi <ishikawa@debian.org>
Cc: 314882-quiet@bugs.debian.org
Subject: Removing xfs-xtt
Date: Tue, 27 Sep 2005 22:39:02 +0200
ISHIKAWA Mutsumi <ishikawa@debian.org> writes:

>  I intend to orphan the xfs-xtt package.
[...]
> Note:
>    After the xorg package is uploaded, I'll remove this package from sid
>   when no one take over this package. Because...
>
>  * Current xfree86's xfs package can handle TrueType fonts (but can not
>    handle TTCap).
>
>  * xorg's libXfont unified X-TrueType engine to FreeType engine.
>
>    xorg's xfs also can handle TrueType fonts and can handle TTCap
>    description. So, it is possible to replace the xfs-xtt.
>
>  * xfs-xtt use X-TrueType engine. Maintenance of the X-TrueType
>    engine has already stopped considerably before. Old X-TrueType
>    engine code was dropped from source tree (on both xfree86 and xorg)

Given that xorg is now in testing, perhaps it is time to remove xfs-xtt?

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to ISHIKAWA Mutsumi <ishikawa@debian.org>:
Bug#314882. Full text and rfc822 format available.

Message #17 received at 314882-submitter@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 314882-submitter@bugs.debian.org
Cc: control@bugs.debian.org, debian-qa@lists.debian.org
Subject: RM: xfs-xtt -- RoQA; superseded by X.Org, RC-buggy
Date: Mon, 24 Oct 2005 04:10:55 +0200
retitle 314882 RM: xfs-xtt -- RoQA; superseded by X.Org, RC-buggy
reassign 314882 ftp.debian.org
tag 323884 wontfix
tag 335429 wontfix
thanks

On Sun, Jun 19, 2005 at 14:46:12 +0900, ISHIKAWA Mutsumi wrote:
>  I intend to orphan the xfs-xtt package.
[...]
> Note:
>    After the xorg package is uploaded, I'll remove this package from sid
>   when no one take over this package. Because...
>
>  * Current xfree86's xfs package can handle TrueType fonts (but can not
>    handle TTCap).
>
>  * xorg's libXfont unified X-TrueType engine to FreeType engine.
>
>    xorg's xfs also can handle TrueType fonts and can handle TTCap
>    description. So, it is possible to replace the xfs-xtt.
>
>  * xfs-xtt use X-TrueType engine. Maintenance of the X-TrueType
>    engine has already stopped considerably before. Old X-TrueType
>    engine code was dropped from source tree (on both xfree86 and xorg)

X.Org has been in testing for a while, so I think we should remove
xfs-xtt.

Thanks,

Matej



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to ISHIKAWA Mutsumi <ishikawa@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 314882-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 314882-close@bugs.debian.org
Cc: xfs-xtt@packages.debian.org, xfs-xtt@packages.qa.debian.org
Subject: Bug#314882: fixed
Date: Thu, 27 Oct 2005 15:31:16 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

   xfs-xtt | 1:1.3.0.xf420-4 | hurd-i386
   xfs-xtt | 1:1.4.1.xf430-6 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 314882@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 03:37:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:14:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.